Classify sample with post-processing
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId}/classify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"config": {
"enabled": true,
"parameters": {}
}
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId}/classify"
payload = { "config": {
"enabled": True,
"parameters": {}
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {enabled: true, parameters: {}}})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/post-processing/{postProcessingId}/samples/{sampleId}/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"objectTracking": {
"frames": [
{
"frameIndex": 123,
"objects": [
{
"label": "<string>",
"id": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
]
}
],
"parameters": {}
},
"objectDetection": {
"frames": [
{
"frameIndex": 123,
"objects": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"score": 123
}
]
}
]
}
},
"error": "<string>"
}Classify sample with post-processing
Classify a sample using post-processing parameters. Sample should be in the post-processing dataset.
POST
/
api
/
{projectId}
/
post-processing
/
{postProcessingId}
/
samples
/
{sampleId}
/
classify
Classify sample with post-processing
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Post-processing Block ID, use the impulse functions to retrieve the ID
Sample ID
Body
application/json
Was this page helpful?
⌘I